Bug 763392 - (GLUSTER-1660) remove brick functionality with NFS-mount
remove brick functionality with NFS-mount
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1-alpha
All Linux
low Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-21 08:44 EDT by Lakshmipathi G
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2010-09-21 08:44:30 EDT
In a 2 server , client are mounted using fuse mount as- 

client1#mount -t glusterfs server1:vol /mnt
client2#mount -t glusterfs server2:vol /mnt

removing server2 using remove-brick won't affect the client2 operations.
but if user mounted using nfs - client2 will be affected.
Comment 1 Pranith Kumar K 2010-09-27 22:11:58 EDT
nfs-mount will become inaccessible only when the system is shutdown.
remove-brick don't really have the same effect as remove-brick with fuse-mount.

Note You need to log in before you can comment on or make changes to this bug.